#include "rangesliderplugin.h"

#include "rangeslider.h"

#include <QtCore/QtPlugin>


RangeSliderPlugin::RangeSliderPlugin(QObject * parent): QObject(parent) {
	m_initialized = false;
}


void RangeSliderPlugin::initialize(QDesignerFormEditorInterface * /* core */) {
	if (m_initialized) return;

	// Add extension registrations, etc. here

	m_initialized = true;
}


bool RangeSliderPlugin::isInitialized() const {
	return m_initialized;
}


QWidget * RangeSliderPlugin::createWidget(QWidget * parent) {
	return new RangeSlider(parent);
}


QString RangeSliderPlugin::name() const {
	return QLatin1String("RangeSlider");
}


QString RangeSliderPlugin::group() const {
	return QLatin1String("Input Widgets");
}


QIcon RangeSliderPlugin::icon() const {
	return QIcon();
}


QString RangeSliderPlugin::toolTip() const {
	return QLatin1String("Range Slider");
}


QString RangeSliderPlugin::whatsThis() const {
	return QLatin1String("Range Slider");
}


bool RangeSliderPlugin::isContainer() const {
	return false;
}


QString RangeSliderPlugin::domXml() const {
	return QLatin1String("<widget class=\"RangeSlider\" name=\"rangeSlider\">\n</widget>\n");
}


QString RangeSliderPlugin::includeFile() const {
	return QLatin1String("rangeslider.h");
}
